require "healthcheck/version"
require 'healthcheck/configuration'
require 'healthcheck/check'
Dir.glob(File.join(File.dirname(__FILE__), '/healthcheck/checks/**/*.rb')).each { |r| require r}

module Cogent
  module Healthcheck

    def self.configure(&block)
      block.call(self.config)
    end

    def self.initialize_config
      return if @config
      @config = Cogent::Healthcheck::Configuration.new
      @config.add_check(Cogent::Healthcheck::Checks::Alive)
    end

    def self.config
      initialize_config
      @config
    end

    initialize_config
  end
end