module Cogent

  module Healthcheck

    class Configuration

      attr_reader :checks

      def initialize
        @checks = []
      end

      def add_check(check)
        @checks << check if is_valid?(check)
      end

      private
      def is_valid?(check)
        class_methods = [:name, :description]
        valid = check.methods & class_methods == class_methods && check.instance_methods.include?(:execute)
        raise StandardError.new('Check must have name and description class methods as well as an execute instance method') unless valid
        valid
      end
    end

  end
  
end